EDIT - feature request #7799

AM: Parse authorteams
09/29/2018 12:04 PM - Andreas Miiller

Status: Resolved Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 90%
Category: cdmadapter Estimated time: 3:00 hours
Target version: Euro+Med Migration

Severity: normal

Description

many of them are single persons and also the resulting persons/teams could be parsed probably

Related issues:

Related to EDIT - feature request #7800: Parse preliminary RefDetails Closed
Related to EDIT - feature request #7801: AM: Deduplicate references Closed
Related to EDIT - bug #7817: Team caches should not show '& al.' Duplicate

Associated revisions

Revision c277d1a7 - 10/10/2018 10:30 AM - Andreas Miiller
ref #7799 handle protected titlecache for teamOrPerson.getFullTitle

Revision 1b9b7bfd - 10/10/2018 10:30 AM - Andreas Miiller
ref #7799 handle initials for teamOrPerson.getFullTitle

Revision f4b9ac06 - 10/10/2018 12:38 PM - Andreas Miiller

ref #7799 implement author parsing for AuthorTeam and Reference.RefAuthorString

Revision a5e9dc2f - 10/10/2018 12:52 PM - Andreas Miiller

ref #7799 and others reinstall null check

Revision 31e71264 - 10/10/2018 12:53 PM - Andreas Miiller

ref #7799 improve performance of authorteam loading

Revision 3f3714e3 - 10/14/2018 09:45 AM - Andreas Miiller

ref #7799 compute author caches in deduplicationHelper

Revision 6943d396 - 10/14/2018 02:53 PM - Andreas Miiller

ref #7799 deduplicate and parse authorteams

History

#1 - 09/29/2018 12:05 PM - Andreas Miiller

- Tags set to euro+med

#3 - 09/29/2018 12:31 PM - Andreas Miiller
- Related to feature request #7800: Parse preliminary RefDetails added

#4 - 09/29/2018 12:32 PM - Andreas Miiller
- Related to feature request #7801: AM: Deduplicate references added

#6 - 10/09/2018 03:40 PM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 30
#7 -10/11/2018 10:14 AM - Andreas Miiller

Useful scripts

DECLARE @authorId as int;
Set @authorId = 3395

’

SELECT *
FROM Name n INNER JOIN dbo.v_cdm_exp_namesAll v ON n.NamelId = v.NameId
WHERE (1=0)

OR n.AuthorTeamFk IN (QauthorId) OR n.ExAuthorTeamFk IN (QauthorId) OR n.BasAuthorTeamFk IN (Q@authorId) OR
n.ExBasAuthorTeamFk IN (QauthorId)

OR n.NomRefFk IN (SELECT r.RefId
FROM Reference r INNER JOIN v_cdm_exp_refAll v ON v.RefId = r.RefId
WHERE r.NomAuthorTeamFk IN (QRauthorId))

7
SELECT *
FROM Reference r INNER JOIN v_cdm_exp_refAll v ON v.RefId = r.Refld
WHERE r.NomAuthorTeamFk IN (QauthorId);

SELECT *
FROM AuthorTeam at
WHERE at.AuthorTeamId IN (@authorId);

SELECT *
FROM AuthorTeamSequence seq
WHERE seqg.AuthorTeamFk IN (@authorId)

DECLARE @id int;

SET @id = 3453; -- 697, 2168, 3453
--113977, 88135, 88204
SELECT n.*

FROM Name n INNER JOIN dbo.v_cdm_exp_namesAll v ON n.NamelId = v.NameId
WHERE n.NomRefFk IN (Qid)

SELECT *
FROM v_cdm_exp_refSourceNumbers
WHERE RefId IN (@id);

SELECT *
FROM v_cdm_exp_refNomStatusRefs
WHERE RefId IN (Qid);

SELECT pt.*
FROM PTaxon pt INNER JOIN dbo.v_cdm_exp_taxaAll v ON pt.RIdentifier = v.RIdentifier
WHERE pt.PTRefFk IN (@id) or pt.LastScrutinyFk IN (@id)

SELECT *
FROM v_cdm_exp_reflLanguageRefs
WHERE RefId IN (@id);

SELECT *

FROM v_cdm_exp_refFactRefs
WHERE RefId IN (Qid);
SELECT *

FROM v_cdm_exp_refInRefs
WHERE RefId IN (@id);

#8 - 10/11/2018 11:46 AM - Andreas Miiller
- Related to bug #7817: Team caches should not show '& al.’ added

#9 - 05/13/2019 02:06 PM - Andreas Miiller

- Status changed from In Progress to Resolved

This should be fixed. We may check for not atomized authors after import again

#10 - 05/13/2019 02:06 PM - Andreas Miiller
- % Done changed from 30 to 90
